diff --git a/src/backend/catalog/pg_publication.c b/src/backend/catalog/pg_publication.c
index f37827f42e..5ba4c1d1bd 100644
--- a/src/backend/catalog/pg_publication.c
+++ b/src/backend/catalog/pg_publication.c
@@ -1124,9 +1124,8 @@ pg_get_publication_tables(PG_FUNCTION_ARGS)
 		values[0] = ObjectIdGetDatum(relid);
 
 		/*
-		 * If the publication is FOR ALL TABLES or FOR ALL TABLES IN SCHEMA
-		 * then it is treated the same as if there are no row filters or column
-		 * lists.
+		 * We don't consider row filters or column lists for FOR ALL TABLES or
+		 * FOR ALL TABLES IN SCHEMA publications.
 		 */
 		if (!publication->alltables &&
 			!SearchSysCacheExists2(PUBLICATIONNAMESPACEMAP,
diff --git a/src/backend/commands/publicationcmds.c b/src/backend/commands/publicationcmds.c
index d0ea7f0e38..6a4f784604 100644
--- a/src/backend/commands/publicationcmds.c
+++ b/src/backend/commands/publicationcmds.c
@@ -1412,14 +1412,7 @@ AlterPublication(ParseState *pstate, AlterPublicationStmt *stmt)
 
 		heap_freetuple(tup);
 
-		/*
-		 * Lock the publication so nobody else can do anything with it. This
-		 * prevents concurrent alter to add table(s) that were already going
-		 * to become part of the publication by adding corresponding schema(s)
-		 * via this command and similarly it will prevent the concurrent
-		 * addition of schema(s) for which there is any corresponding table
-		 * being added by this command.
-		 */
+		/* Lock the publication so nobody else can do anything with it. */
 		LockDatabaseObject(PublicationRelationId, pubid, 0,
 						   AccessExclusiveLock);
 
